Skip to main content
GET
/
rooms
/rooms
curl --request GET \
  --url https://api.daily.co/v1/rooms \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 2,
  "data": [
    {
      "id": "5e3cf703-5547-47d6-a371-37b1f0b4427f",
      "name": "w2pp2cf4kltgFACPKXmX",
      "api_created": false,
      "privacy": "public",
      "url": "https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX",
      "created_at": "2019-01-26T09:01:22.000Z",
      "config": {
        "start_video_off": true
      }
    },
    {
      "id": "d61cd7b2-a273-42b4-89bd-be763fd562c1",
      "name": "hello",
      "api_created": false,
      "privacy": "public",
      "url": "https://your-domain.daily.co/hello",
      "created_at": "2019-01-25T23:49:42.000Z",
      "config": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

Sets the number of rooms listed

ending_before
string

Returns room objects created before a provided room id

starting_after
string

Returns room objects created after a provided room id

Response

200

total_count
integer
default:0
Example:

2

data
object[]